package cn.iocoder.yudao.module.order.controller.admin.approval;

import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.security.access.prepost.PreAuthorize;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import javax.validation.*;
import javax.servlet.http.*;
import java.util.*;
import java.io.IOException;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
import cn.iocoder.yudao.framework.excel.util.ExcelUtils;
import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;
import cn.iocoder.yudao.module.order.vo.approval.*;
import cn.iocoder.yudao.module.order.dal.dataobject.approval.OrderApprovalDO;
import cn.iocoder.yudao.module.order.convert.approval.OrderApprovalConvert;
import cn.iocoder.yudao.module.order.service.approval.OrderApprovalService;

@Validated
@RestController
@Api(tags = "管理后台 - 订单审核")
@RequestMapping("/order/approval")
public class OrderApprovalController {

    @Autowired
    private OrderApprovalService approvalService;

//    @PostMapping("/create")
//    @ApiOperation("创建订单审核")
//    @PreAuthorize("@ss.hasPermission('order:approval:create')")
//    public CommonResult<Long> createApproval(@Valid @RequestBody OrderApprovalCreateReqVO createReqVO) {
//        return success(approvalService.createApproval(createReqVO));
//    }
//
//    @PutMapping("/update")
//    @ApiOperation("更新订单审核")
//    @PreAuthorize("@ss.hasPermission('order:approval:update')")
//    public CommonResult<Boolean> updateApproval(@Valid @RequestBody OrderApprovalUpdateReqVO updateReqVO) {
//        approvalService.updateApproval(updateReqVO);
//        return success(true);
////    }
//
//    @DeleteMapping("/delete")
//    @ApiOperation("删除订单审核")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('order:approval:delete')")
//    public CommonResult<Boolean> deleteApproval(@RequestParam("id") Long id) {
//        approvalService.deleteApproval(id);
//        return success(true);
//    }

    @GetMapping("/get")
    @ApiOperation("获得订单审核")
    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
    public CommonResult<OrderApprovalBackVO> getApproval(@RequestParam("id") Long id) {
        OrderApprovalDO approval = approvalService.getApproval(id);
        return success(OrderApprovalConvert.INSTANCE.convert(approval));
    }

//    @GetMapping("/list")
//    @ApiOperation("获得订单审核列表")
//    @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
//    @PreAuthorize("@ss.hasPermission('order:approval:query')")
//    public CommonResult<List<OrderApprovalBackVO>> getApprovalList(@RequestParam("ids") Collection<Long> ids) {
//        List<OrderApprovalDO> list = approvalService.getApprovalList(ids);
//        return success(OrderApprovalConvert.INSTANCE.convertList(list));
//    }
//
//    @GetMapping("/page")
//    @ApiOperation("获得订单审核分页")
//    @PreAuthorize("@ss.hasPermission('order:approval:query')")
//    public CommonResult<PageResult<OrderApprovalBackVO>> getApprovalPage(@Valid OrderApprovalQueryVO query, PageVO page) {
//        PageResult<OrderApprovalDO> pageResult = approvalService.pager(page, query);
//        return success(OrderApprovalConvert.INSTANCE.convertPage(pageResult));
//    }
//
//    @GetMapping("/export-excel")
//    @ApiOperation("导出订单审核 Excel")
//    @PreAuthorize("@ss.hasPermission('order:approval:export')")
//    @OperateLog(type = EXPORT)
//    public void exportApprovalExcel(@Valid OrderApprovalQueryVO query,
//              HttpServletResponse response) throws IOException {
//        List<OrderApprovalDO> list = approvalService.getApprovalList(query);
//        // 导出 Excel
//        List<OrderApprovalBackVO> datas = OrderApprovalConvert.INSTANCE.convertList(list);
//        ExcelUtils.write(response, "订单审核.xls", "数据", OrderApprovalBackVO.class, datas);
//    }
}
