//package cn.iocoder.yudao.module.order.controller.admin.orderConsignee;
//
//import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
//import org.springframework.web.bind.annotation.*;
//import javax.annotation.Resource;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.security.access.prepost.PreAuthorize;
//import io.swagger.annotations.*;
//import javax.validation.*;
//import javax.servlet.http.*;
//import java.util.*;
//import java.io.IOException;
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//import cn.iocoder.yudao.framework.common.pojo.CommonResult;
//import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
//import cn.iocoder.yudao.framework.excel.util.ExcelUtils;
//import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
//import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;
//import cn.iocoder.yudao.module.order.vo.orderConsignee.*;
//import cn.iocoder.yudao.module.order.dal.dataobject.orderConsignee.OrderConsigneeDO;
//import cn.iocoder.yudao.module.order.convert.orderConsignee.OrderConsigneeConvert;
//import cn.iocoder.yudao.module.order.service.order.OrderConsigneeService;
//
//@Validated
//@RestController
//@Api(tags = "管理后台 - 订单收货人信息")
//@RequestMapping("/ecw/order-consignee")
//public class OrderConsigneeController {
//
//    @Resource
//    private OrderConsigneeService orderConsigneeService;
//
//    @PostMapping("/create")
//    @ApiOperation("创建订单收货人信息")
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignee:create')")
//    public CommonResult<Long> createOrderConsignee(@Valid @RequestBody OrderConsigneeCreateReqVO createReqVO) {
//        return success(orderConsigneeService.createOrderConsignee(createReqVO));
//    }
//
//    @PutMapping("/update")
//    @ApiOperation("更新订单收货人信息")
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignee:update')")
//    public CommonResult<Boolean> updateOrderConsignee(@Valid @RequestBody OrderConsigneeUpdateReqVO updateReqVO) {
//        orderConsigneeService.updateOrderConsignee(updateReqVO);
//        return success(true);
//    }
//
//    @DeleteMapping("/delete")
//    @ApiOperation("删除订单收货人信息")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignee:delete')")
//    public CommonResult<Boolean> deleteOrderConsignee(@RequestParam("id") Long id) {
//        orderConsigneeService.deleteOrderConsignee(id);
//        return success(true);
//    }
//
//    @GetMapping("/get")
//    @ApiOperation("获得订单收货人信息")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignee:query')")
//    public CommonResult<OrderConsigneeBackVO> getOrderConsignee(@RequestParam("id") Long id) {
//        OrderConsigneeDO orderConsignee = orderConsigneeService.getOrderConsignee(id);
//        return success(OrderConsigneeConvert.INSTANCE.convert(orderConsignee));
//    }
//
//    @GetMapping("/list")
//    @ApiOperation("获得订单收货人信息列表")
//    @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignee:query')")
//    public CommonResult<List<OrderConsigneeBackVO>> getOrderConsigneeList(@RequestParam("ids") Collection<Long> ids) {
//        List<OrderConsigneeDO> list = orderConsigneeService.getOrderConsigneeList(ids);
//        return success(OrderConsigneeConvert.INSTANCE.convertList(list));
//    }
//
//    @GetMapping("/page")
//    @ApiOperation("获得订单收货人信息分页")
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignee:query')")
//    public CommonResult<PageResult<OrderConsigneeBackVO>> getOrderConsigneePage(@Valid OrderConsigneeQueryVO query, PageVO page) {
//        PageResult<OrderConsigneeDO> pageResult = orderConsigneeService.getOrderConsigneePage(query, page);
//        return success(OrderConsigneeConvert.INSTANCE.convertPage(pageResult));
//    }
//
//    @GetMapping("/export-excel")
//    @ApiOperation("导出订单收货人信息 Excel")
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignee:export')")
//    @OperateLog(type = EXPORT)
//    public void exportOrderConsigneeExcel(@Valid OrderConsigneeQueryVO query,
//              HttpServletResponse response) throws IOException {
//        List<OrderConsigneeDO> list = orderConsigneeService.getOrderConsigneeList(query);
//        // 导出 Excel
//        List<OrderConsigneeBackVO> datas = OrderConsigneeConvert.INSTANCE.convertList(list);
//        ExcelUtils.write(response, "订单收货人信息.xls", "数据", OrderConsigneeBackVO.class, datas);
//    }
//}
