//package cn.iocoder.yudao.module.order.controller.admin.orderConsignor;
//
//import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
//import org.springframework.web.bind.annotation.*;
//import javax.annotation.Resource;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.security.access.prepost.PreAuthorize;
//import io.swagger.annotations.*;
//import javax.validation.*;
//import javax.servlet.http.*;
//import java.util.*;
//import java.io.IOException;
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//import cn.iocoder.yudao.framework.common.pojo.CommonResult;
//import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
//import cn.iocoder.yudao.framework.excel.util.ExcelUtils;
//import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
//import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;
//import cn.iocoder.yudao.module.order.vo.orderConsignor.*;
//import cn.iocoder.yudao.module.order.dal.dataobject.orderConsignor.OrderConsignorDO;
//import cn.iocoder.yudao.module.order.convert.orderConsignor.OrderConsignorConvert;
//import cn.iocoder.yudao.module.order.service.order.OrderConsignorService;
//
//@Validated
//@RestController
//@Api(tags = "管理后台 - 订单发货人信息")
//@RequestMapping("/ecw/order-consignor")
//public class OrderConsignorController {
//
//    @Resource
//    private OrderConsignorService orderConsignorService;
//
//    @PostMapping("/create")
//    @ApiOperation("创建订单发货人信息")
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignor:create')")
//    public CommonResult<Long> createOrderConsignor(@Valid @RequestBody OrderConsignorCreateReqVO createReqVO) {
//        return success(orderConsignorService.createOrderConsignor(createReqVO));
//    }
//
//    @PutMapping("/update")
//    @ApiOperation("更新订单发货人信息")
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignor:update')")
//    public CommonResult<Boolean> updateOrderConsignor(@Valid @RequestBody OrderConsignorUpdateReqVO updateReqVO) {
//        orderConsignorService.updateOrderConsignor(updateReqVO);
//        return success(true);
//    }
//
//    @DeleteMapping("/delete")
//    @ApiOperation("删除订单发货人信息")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignor:delete')")
//    public CommonResult<Boolean> deleteOrderConsignor(@RequestParam("id") Long id) {
//        orderConsignorService.deleteOrderConsignor(id);
//        return success(true);
//    }
//
//    @GetMapping("/get")
//    @ApiOperation("获得订单发货人信息")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignor:query')")
//    public CommonResult<OrderConsignorBackVO> getOrderConsignor(@RequestParam("id") Long id) {
//        OrderConsignorDO orderConsignor = orderConsignorService.getOrderConsignor(id);
//        return success(OrderConsignorConvert.INSTANCE.convert(orderConsignor));
//    }
//
//    @GetMapping("/list")
//    @ApiOperation("获得订单发货人信息列表")
//    @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignor:query')")
//    public CommonResult<List<OrderConsignorBackVO>> getOrderConsignorList(@RequestParam("ids") Collection<Long> ids) {
//        List<OrderConsignorDO> list = orderConsignorService.getOrderConsignorList(ids);
//        return success(OrderConsignorConvert.INSTANCE.convertList(list));
//    }
//
//    @GetMapping("/page")
//    @ApiOperation("获得订单发货人信息分页")
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignor:query')")
//    public CommonResult<PageResult<OrderConsignorBackVO>> getOrderConsignorPage(@Valid OrderConsignorQueryVO query, PageVO page) {
//        PageResult<OrderConsignorDO> pageResult = orderConsignorService.getOrderConsignorPage(query, page);
//        return success(OrderConsignorConvert.INSTANCE.convertPage(pageResult));
//    }
//
//    @GetMapping("/export-excel")
//    @ApiOperation("导出订单发货人信息 Excel")
//    @PreAuthorize("@ss.hasPermission('ecw:order-consignor:export')")
//    @OperateLog(type = EXPORT)
//    public void exportOrderConsignorExcel(@Valid OrderConsignorQueryVO query,
//              HttpServletResponse response) throws IOException {
//        List<OrderConsignorDO> list = orderConsignorService.getOrderConsignorList(query);
//        // 导出 Excel
//        List<OrderConsignorBackVO> datas = OrderConsignorConvert.INSTANCE.convertList(list);
//        ExcelUtils.write(response, "订单发货人信息.xls", "数据", OrderConsignorBackVO.class, datas);
//    }
//}
