package cn.iocoder.yudao.module.order.controller.admin.orderItem;

import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.security.access.prepost.PreAuthorize;
import io.swagger.annotations.*;
import javax.validation.*;
import javax.servlet.http.*;
import java.util.*;
import java.io.IOException;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
import cn.iocoder.yudao.framework.excel.util.ExcelUtils;
import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;
import cn.iocoder.yudao.module.order.vo.orderItem.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderItem.OrderItemDO;
import cn.iocoder.yudao.module.order.convert.orderItem.OrderItemConvert;
import cn.iocoder.yudao.module.order.service.order.OrderItemService;

@Validated
@RestController
@Api(tags = "管理后台 - 订单项")
@RequestMapping("/ecw/order-item")
public class OrderItemController {

    @Resource
    private OrderItemService orderItemService;

    @GetMapping("/list/{orderNo}")
    @ApiOperation("跟据订单号获取特价申请订单项商品列表")
    @ApiImplicitParam(name = "orderNo", value = "订单号", required = true, example = "ECF2200002", dataTypeClass = String.class)
    public CommonResult<List<OrderItemSpecialBackVO>> getOrderItemList(@PathVariable("orderNo") String orderNo) {
        List<OrderItemSpecialBackVO> list = orderItemService.specialApplyOrderItem(orderNo);
        return success(list);
    }
//
//    @PostMapping("/create")
//    @ApiOperation("创建订单项")
//    @PreAuthorize("@ss.hasPermission('ecw:order-item:create')")
//    public CommonResult<Long> createOrderItem(@Valid @RequestBody OrderItemCreateReqVO createReqVO) {
//        return success(orderItemService.createOrderItem(createReqVO));
//    }
//
//    @PutMapping("/update")
//    @ApiOperation("更新订单项")
//    @PreAuthorize("@ss.hasPermission('ecw:order-item:update')")
//    public CommonResult<Boolean> updateOrderItem(@Valid @RequestBody OrderItemUpdateReqVO updateReqVO) {
//        orderItemService.updateOrderItem(updateReqVO);
//        return success(true);
//    }
//
//    @DeleteMapping("/delete")
//    @ApiOperation("删除订单项")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('ecw:order-item:delete')")
//    public CommonResult<Boolean> deleteOrderItem(@RequestParam("id") Long id) {
//        orderItemService.deleteOrderItem(id);
//        return success(true);
//    }
//
//    @GetMapping("/get")
//    @ApiOperation("获得订单项")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('ecw:order-item:query')")
//    public CommonResult<OrderItemBackVO> getOrderItem(@RequestParam("id") Long id) {
//        OrderItemDO orderItem = orderItemService.getOrderItem(id);
//        return success(OrderItemConvert.INSTANCE.convert(orderItem));
//    }
//
//    @GetMapping("/list")
//    @ApiOperation("获得订单项列表")
//    @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
//    @PreAuthorize("@ss.hasPermission('ecw:order-item:query')")
//    public CommonResult<List<OrderItemBackVO>> getOrderItemList(@RequestParam("ids") Collection<Long> ids) {
//        List<OrderItemDO> list = orderItemService.getOrderItemList(ids);
//        return success(OrderItemConvert.INSTANCE.convertList(list));
//    }
//
//    @GetMapping("/page")
//    @ApiOperation("获得订单项分页")
//    @PreAuthorize("@ss.hasPermission('ecw:order-item:query')")
//    public CommonResult<PageResult<OrderItemBackVO>> getOrderItemPage(@Valid OrderItemQueryVO query, PageVO page) {
//        PageResult<OrderItemDO> pageResult = orderItemService.getOrderItemPage(query, page);
//        return success(OrderItemConvert.INSTANCE.convertPage(pageResult));
//    }
//
//    @GetMapping("/export-excel")
//    @ApiOperation("导出订单项 Excel")
//    @PreAuthorize("@ss.hasPermission('ecw:order-item:export')")
//    @OperateLog(type = EXPORT)
//    public void exportOrderItemExcel(@Valid OrderItemQueryVO query,
//              HttpServletResponse response) throws IOException {
//        List<OrderItemDO> list = orderItemService.getOrderItemList(query);
//        // 导出 Excel
//        List<OrderItemBackVO> datas = OrderItemConvert.INSTANCE.convertList(list);
//        ExcelUtils.write(response, "订单项.xls", "数据", OrderItemBackVO.class, datas);
//    }
}
