package cn.iocoder.yudao.module.order.controller.admin.orderItemPackLog;

import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.security.access.prepost.PreAuthorize;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import javax.validation.*;
import javax.servlet.http.*;
import java.util.*;
import java.io.IOException;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
import cn.iocoder.yudao.framework.excel.util.ExcelUtils;
import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;
import cn.iocoder.yudao.module.order.vo.orderItemPackLog.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderItemPackLog.OrderItemPackLogDO;
import cn.iocoder.yudao.module.order.convert.orderItemPackLog.OrderItemPackLogConvert;
import cn.iocoder.yudao.module.order.service.orderItemPackLog.OrderItemPackLogService;

@Validated
@RestController
@Api(tags = "管理后台 - 入仓项打包纪录")
@RequestMapping("/order/item-pack-log")
public class OrderItemPackLogController {

    @Resource
    private OrderItemPackLogService itemPackLogService;

    // @PostMapping("/create")
    // @ApiOperation("创建入仓项打包纪录")
    // @PreAuthorize("@ss.hasPermission('order:item-pack-log:create')")
    // public CommonResult<Long> createItemPackLog(@Valid @RequestBody OrderItemPackLogCreateReqVO createReqVO) {
    //     return success(itemPackLogService.createItemPackLog(createReqVO));
    // }
    //
    // @PutMapping("/update")
    // @ApiOperation("更新入仓项打包纪录")
    // @PreAuthorize("@ss.hasPermission('order:item-pack-log:update')")
    // public CommonResult<Boolean> updateItemPackLog(@Valid @RequestBody OrderItemPackLogUpdateReqVO updateReqVO) {
    //     itemPackLogService.updateItemPackLog(updateReqVO);
    //     return success(true);
    // }
    //
    // @DeleteMapping("/delete")
    // @ApiOperation("删除入仓项打包纪录")
    // @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
    // @PreAuthorize("@ss.hasPermission('order:item-pack-log:delete')")
    // public CommonResult<Boolean> deleteItemPackLog(@RequestParam("id") Long id) {
    //     itemPackLogService.deleteItemPackLog(id);
    //     return success(true);
    // }

    // @GetMapping("/get")
    // @ApiOperation("获得入仓项打包纪录")
    // @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
    // @PreAuthorize("@ss.hasPermission('order:item-pack-log:query')")
    // public CommonResult<OrderItemPackLogBackVO> getItemPackLog(@RequestParam("id") Long id) {
    //     OrderItemPackLogDO itemPackLog = itemPackLogService.getItemPackLog(id);
    //     return success(OrderItemPackLogConvert.INSTANCE.convert(itemPackLog));
    // }
    //
    // @GetMapping("/list")
    // @ApiOperation("获得入仓项打包纪录列表")
    // @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
    // @PreAuthorize("@ss.hasPermission('order:item-pack-log:query')")
    // public CommonResult<List<OrderItemPackLogBackVO>> getItemPackLogList(@RequestParam("ids") Collection<Long> ids) {
    //     List<OrderItemPackLogDO> list = itemPackLogService.getItemPackLogList(ids);
    //     return success(OrderItemPackLogConvert.INSTANCE.convertList(list));
    // }

    @GetMapping("/page")
    @ApiOperation("获得入仓项打包纪录分页")
    // @PreAuthorize("@ss.hasPermission('order:item-pack-log:query')")
    public CommonResult<PageResult<OrderItemPackLogBackVO>> getItemPackLogPage(@Valid OrderItemPackLogQueryVO query, PageVO page) {
        PageResult<OrderItemPackLogDO> pageResult = itemPackLogService.getItemPackLogPage(query, page);
        return success(OrderItemPackLogConvert.INSTANCE.convertPage(pageResult));
    }

    // @GetMapping("/export-excel")
    // @ApiOperation("导出入仓项打包纪录 Excel")
    // @PreAuthorize("@ss.hasPermission('order:item-pack-log:export')")
    // @OperateLog(type = EXPORT)
    // public void exportItemPackLogExcel(@Valid OrderItemPackLogQueryVO query,
    //           HttpServletResponse response) throws IOException {
    //     List<OrderItemPackLogDO> list = itemPackLogService.getItemPackLogList(query);
    //     // 导出 Excel
    //     List<OrderItemPackLogBackVO> datas = OrderItemPackLogConvert.INSTANCE.convertList(list);
    //     ExcelUtils.write(response, "入仓项打包纪录.xls", "数据", OrderItemPackLogBackVO.class, datas);
    // }
}
