// package cn.iocoder.yudao.module.order.controller.admin.orderLabel;
//
// import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
// import org.springframework.web.bind.annotation.*;
// import javax.annotation.Resource;
// import org.springframework.validation.annotation.Validated;
// import org.springframework.security.access.prepost.PreAuthorize;
// import io.swagger.annotations.*;
// import javax.validation.constraints.*;
// import javax.validation.*;
// import javax.servlet.http.*;
// import java.util.*;
// import java.io.IOException;
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
// import cn.iocoder.yudao.framework.common.pojo.CommonResult;
// import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
// import cn.iocoder.yudao.framework.excel.util.ExcelUtils;
// import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
// import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;
// import cn.iocoder.yudao.module.order.vo.orderLabel.*;
// import cn.iocoder.yudao.module.order.dal.dataobject.orderLabel.OrderLabelDO;
// import cn.iocoder.yudao.module.order.convert.orderLabel.OrderLabelConvert;
// import cn.iocoder.yudao.module.order.service.orderLabel.OrderLabelService;
//
// @Validated
// @RestController
// @Api(tags = "管理后台 - 订单箱号标签")
// @RequestMapping("/order/label")
// public class OrderLabelController {
//
//     @Resource
//     private OrderLabelService labelService;
//
//     @PostMapping("/create")
//     @ApiOperation("创建订单箱号标签")
//     @PreAuthorize("@ss.hasPermission('order:label:create')")
//     public CommonResult<Long> createLabel(@Valid @RequestBody OrderLabelCreateReqVO createReqVO) {
//         return success(labelService.createLabel(createReqVO));
//     }
//
//     @PutMapping("/update")
//     @ApiOperation("更新订单箱号标签")
//     @PreAuthorize("@ss.hasPermission('order:label:update')")
//     public CommonResult<Boolean> updateLabel(@Valid @RequestBody OrderLabelUpdateReqVO updateReqVO) {
//         labelService.updateLabel(updateReqVO);
//         return success(true);
//     }
//
//     @DeleteMapping("/delete")
//     @ApiOperation("删除订单箱号标签")
//     @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//     @PreAuthorize("@ss.hasPermission('order:label:delete')")
//     public CommonResult<Boolean> deleteLabel(@RequestParam("id") Long id) {
//         labelService.deleteLabel(id);
//         return success(true);
//     }
//
//     @GetMapping("/get")
//     @ApiOperation("获得订单箱号标签")
//     @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//     @PreAuthorize("@ss.hasPermission('order:label:query')")
//     public CommonResult<OrderLabelBackVO> getLabel(@RequestParam("id") Long id) {
//         OrderLabelDO label = labelService.getLabel(id);
//         return success(OrderLabelConvert.INSTANCE.convert(label));
//     }
//
//     @GetMapping("/list")
//     @ApiOperation("获得订单箱号标签列表")
//     @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
//     @PreAuthorize("@ss.hasPermission('order:label:query')")
//     public CommonResult<List<OrderLabelBackVO>> getLabelList(@RequestParam("ids") Collection<Long> ids) {
//         List<OrderLabelDO> list = labelService.getLabelList(ids);
//         return success(OrderLabelConvert.INSTANCE.convertList(list));
//     }
//
//     @GetMapping("/page")
//     @ApiOperation("获得订单箱号标签分页")
//     @PreAuthorize("@ss.hasPermission('order:label:query')")
//     public CommonResult<PageResult<OrderLabelBackVO>> getLabelPage(@Valid OrderLabelQueryVO query, PageVO page) {
//         PageResult<OrderLabelDO> pageResult = labelService.getLabelPage(query, page);
//         return success(OrderLabelConvert.INSTANCE.convertPage(pageResult));
//     }
//
//     @GetMapping("/export-excel")
//     @ApiOperation("导出订单箱号标签 Excel")
//     @PreAuthorize("@ss.hasPermission('order:label:export')")
//     @OperateLog(type = EXPORT)
//     public void exportLabelExcel(@Valid OrderLabelQueryVO query,
//               HttpServletResponse response) throws IOException {
//         List<OrderLabelDO> list = labelService.getLabelList(query);
//         // 导出 Excel
//         List<OrderLabelBackVO> datas = OrderLabelConvert.INSTANCE.convertList(list);
//         ExcelUtils.write(response, "订单箱号标签.xls", "数据", OrderLabelBackVO.class, datas);
//     }
// }
