package cn.iocoder.yudao.module.order.controller.admin.orderPrint;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.order.service.order.OrderPrintTagService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@RestController
@Api(tags = "管理后台 - 打印订单标签")
@RequestMapping("/order/print")
public class OrderPrintTagController {

    @Resource
    private OrderPrintTagService orderPrintTagService;

    @GetMapping("/orderTagPrint")
    @ApiOperation("打印订单标签")
    public CommonResult<List> orderTagPrint(@RequestParam Long orderId) throws Exception {
        return success(orderPrintTagService.orderTagPrint(orderId));
    }

    @GetMapping("/checkPrintFinishStatus")
    @ApiOperation("查询订单标签是否生成完")
    public CommonResult<Boolean> checkPrintFinishStatus(@RequestParam Long orderId) throws Exception {
        return success(orderPrintTagService.checkPrintFinishStatus(orderId));
    }
}
