package cn.iocoder.yudao.module.order.controller.admin.orderWarehouseAdjust;

import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.security.access.prepost.PreAuthorize;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import javax.validation.*;
import javax.servlet.http.*;
import java.util.*;
import java.io.IOException;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
import cn.iocoder.yudao.framework.excel.util.ExcelUtils;
import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;
import cn.iocoder.yudao.module.order.vo.orderWarehouseAdjust.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderWarehouseAdjust.OrderWarehouseAdjustDO;
import cn.iocoder.yudao.module.order.convert.orderWarehouseAdjust.OrderWarehouseAdjustConvert;
import cn.iocoder.yudao.module.order.service.orderWarehouseAdjust.OrderWarehouseAdjustService;

@Validated
@RestController
@Api(tags = "管理后台 - 调仓记录")
@RequestMapping("/order/warehouse-adjust")
public class OrderWarehouseAdjustController {

    @Resource
    private OrderWarehouseAdjustService warehouseAdjustService;
    //
    //@PostMapping("/create")
    //@ApiOperation("创建调仓记录")
    ////public CommonResult<Long> createWarehouseAdjust(@Valid @RequestBody OrderWarehouseAdjustCreateReqVO createReqVO) {
    //    return success(warehouseAdjustService.createWarehouseAdjust(createReqVO));
    //}
    //
    //@PutMapping("/update")
    //@ApiOperation("更新调仓记录")
    ////public CommonResult<Boolean> updateWarehouseAdjust(@Valid @RequestBody OrderWarehouseAdjustUpdateReqVO updateReqVO) {
    //    warehouseAdjustService.updateWarehouseAdjust(updateReqVO);
    //    return success(true);
    //}
    //
    //@DeleteMapping("/delete")
    //@ApiOperation("删除调仓记录")
    //@ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
    ////public CommonResult<Boolean> deleteWarehouseAdjust(@RequestParam("id") Long id) {
    //    warehouseAdjustService.deleteWarehouseAdjust(id);
    //    return success(true);
    //}

    @GetMapping("/get")
    @ApiOperation("获得调仓记录")
    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
    public CommonResult<OrderWarehouseAdjustBackVO> getWarehouseAdjust(@RequestParam("id") Long id) {
        OrderWarehouseAdjustDO warehouseAdjust = warehouseAdjustService.getWarehouseAdjust(id);
        return success(OrderWarehouseAdjustConvert.INSTANCE.convert(warehouseAdjust));
    }

    @GetMapping("/list")
    @ApiOperation("获得调仓记录列表")
    @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
    public CommonResult<List<OrderWarehouseAdjustBackVO>> getWarehouseAdjustList(@RequestParam("ids") Collection<Long> ids) {
        List<OrderWarehouseAdjustDO> list = warehouseAdjustService.getWarehouseAdjustList(ids);
        return success(OrderWarehouseAdjustConvert.INSTANCE.convertList(list));
    }

    @GetMapping("/page")
    @ApiOperation("获得调仓记录分页")
    public CommonResult<PageResult<OrderWarehouseAdjustBackVO>> getWarehouseAdjustPage(@Valid OrderWarehouseAdjustQueryVO query, PageVO page) {
        PageResult<OrderWarehouseAdjustDO> pageResult = warehouseAdjustService.getWarehouseAdjustPage(query, page);
        return success(OrderWarehouseAdjustConvert.INSTANCE.convertPage(pageResult));
    }

    @GetMapping("/export-excel")
    @ApiOperation("导出调仓记录 Excel")
    @OperateLog(type = EXPORT)
    public void exportWarehouseAdjustExcel(@Valid OrderWarehouseAdjustQueryVO query,
              HttpServletResponse response) throws IOException {
        List<OrderWarehouseAdjustDO> list = warehouseAdjustService.getWarehouseAdjustList(query);
        // 导出 Excel
        List<OrderWarehouseAdjustBackVO> datas = OrderWarehouseAdjustConvert.INSTANCE.convertList(list);
        ExcelUtils.write(response, "调仓记录.xls", "数据", OrderWarehouseAdjustBackVO.class, datas);
    }
}
